# Overview

{% hint style="info" %}
This section is designed for developers who intend to integrate Syntphony CAI, and infrastructure technicians who intend to install or give maintenance to your Syntphony CAI server system. You may go straight into your required subsection, but we encourage you to fully understand all of the presented subsections below.
{% endhint %}

Syntphony CAI's platform is based on a microservices architecture and every component has its Rest APIs. A basic understanding of this architecture helps understand the APIs and the content on the next chapters.

The Broker is the orchestrator of the solution. It is responsible for receiving the information needed to execute a conversation. Its API is the one called when a channel receives a message from the user.&#x20;

Also, it is responsible for calling NLPs dynamically, depending on which NLP was selected by the user in the Cockpit, and for calling external services when these are registered in the Cockpit through the webhook fields.

The main database, which is used by the Broker, is a MySQL database that contains all configuration made through the Cockpit as well as data generated through conversations by the Broker.

Another important component is the Dialog Manager, where you can build and manage the virtual agent conversation flows. This module has its own NoSQL database, for a better performance of the virtual agent. All conversation flows created in the Cockpit are stored in this MongoDB.

The extraction details explained in the following chapters will detail only the MySQL database, since it contains the conversation logs.

If you are here to integrate Syntphony CAI with your custom services and channels, or export/import virtual assistants, you may follow this link:

{% content-ref url="/pages/-MZYDsvi3CEUEu1dq2TQ" %}
[API Guidelines](/user-guide/api-docs/api-guidelines.md)
{% endcontent-ref %}

If rather than an Syntphony CAI cloud service you require an Syntphony CAI server service, the following infrastructure guides will help you to install Syntphony CAI and help you understand it's installation structure in order to give maintenance:

{% content-ref url="/pages/39sRgaIHmZXA1iJ7NRnQ" %}
[Infrastructure Guidelines](/user-guide/api-docs/infrastructure-guidelines.md)
{% endcontent-ref %}

If you are here to understand our database structures or wants to learn where you may extract useful data from, in order to create custom reports, you may follow this link:

{% content-ref url="/pages/-M\_SXgMIpigrkyTE1Ita" %}
[Data Structure](/user-guide/api-docs/appendices.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conversational-ai.syntphony.com/user-guide/api-docs/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
